checking tool compatibility... configure: error: g++|icc required but not found

Hi all. I see this error message (subj) while trying to configure LLVM Build Environment.
I follow the instruction given in http://llvm.org/docs/GettingStarted.html
What am I doing wrong?
Help me, please :slight_smile:

Solovyov Dmitry <trigan.sda@gmail.com> writes:

Hi all. I see this error message (subj) while trying to configure LLVM Build
Environment.
I follow the instruction given in http://llvm.org/docs/GettingStarted.html
What am I doing wrong?

You don't have g++ installed or in your PATH. You need a C++ compiler
for building LLVM. g++ is the GNU compiler, icc is the Intel compiler.

If you type

which g++

at the console, what's the output?

If you are on Debian Linux or in one of its derivatives (Ubuntu, etc)
this should install g++:

sudo apt-get install g++

Thanks, man!
I thought it’s included to llvm-gcc.